[LINUX/UNIX核心] 关于wordpress 502的问题 看全部

Segmentation fault无法从环境的配置或者PHP程序下手去解决,它的根源在二进制程序上,也就是PHP解释器或者它的模块。7 z5 P; ?; h' a. n
有些PHP程序比较容易出现Segmentation fault,但是这不能把责任定在PHP程序上,说PHP程序有问题。
不管是LNMP还是LNAMP,如果出现Segmentation fault,处理PHP的进程(apache或者php-fpm)会直接挂掉,然后Nginx直接返回一个502错误,会在apache或者php-fpm的日志中记录下Segmentation fault错误,如果在日志中确定了是这个错误,最简单的解决办法就是更换一下系统,CentOS比较容易出现这个错误,可以尝试下debian或者ubuntu。
申请阿里云服务时,可以使用2000元阿里云代金券,阿里云官网领取网址:https://dashi.aliyun.com/site/yun/youhui
PHP程序出现Segmentation fault需要几个条件组成在一起,比如这次502的问题想重现的话,centos 6.x 64bit系统+最新的WP安装程序+PHP5.2,其他的组合有可能出现,也用可能不出现。
另外的一些经验:( `! G, V* Z/ Y" z3 ~/ a" ^
1)我遇到的PHP的Segmentation fault错误都是出现在CentOS系统。
/ J, Y# }! p8 e; u2)安装DA面板后,即便再把面板和环境都清除掉,再安装新的LNAMP环境,也能一定程序上降低Segmentation fault错误的出现,猜测应该是DA安装过程中安装的一些东西起的作用。所以我估计在centos 6.x 64bit系统+DA+PHP5.2这个环境中,安装WP,有可能不会出现这个问题。
阿里云服务器1核2G低至82元/年,阿里云官活动网址:https://dashi.aliyun.com/site/yun/aliyun 可以用20代金券,即102-20=82。
- S# Q+ V2 V4 Q1 E6 S